Package org.drinkless.tdlib

# Class TdApi.InputInlineQueryResultDocument

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputInlineQueryResult
org.drinkless.tdlib.TdApi.InputInlineQueryResultDocument

Enclosing class:
  TdApi

public static class TdApi.InputInlineQueryResultDocument extends TdApi.InputInlineQueryResult
Represents a link to a file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputInlineQueryResult

  `TdApi.InputInlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Short description of the result, if known.
  `String`
  `documentUrl`
  URL of the file.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  The content of the message to be sent.
  `String`
  `mimeType`
  MIME type of the file content; only "application/pdf" and "application/zip" are currently allowed.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The message reply markup; pass null if none.
  `int`
  `thumbnailHeight`
  Height of the thumbnail.
  `String`
  `thumbnailUrl`
  The URL of the file thumbnail, if it exists.
  `int`
  `thumbnailWidth`
  Width of the thumbnail.
  `String`
  `title`
  Title of the resulting file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputInlineQueryResultDocument()`
  Represents a link to a file.
  `InputInlineQueryResultDocument(String id, String title, String description, String documentUrl, String mimeType, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
  Represents a link to a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### title

    public String title
    Title of the resulting file.

  - ### description

    public String description
    Short description of the result, if known.

  - ### documentUrl

    public String documentUrl
    URL of the file.

  - ### mimeType

    public String mimeType
    MIME type of the file content; only "application/pdf" and "application/zip" are currently allowed.

  - ### thumbnailUrl

    public String thumbnailUrl
    The URL of the file thumbnail, if it exists.

  - ### thumbnailWidth

    public int thumbnailWidth
    Width of the thumbnail.

  - ### thumbnailHeight

    public int thumbnailHeight
    Height of the thumbnail.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageDocument, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputInlineQueryResultDocument

    public InputInlineQueryResultDocument()
    Represents a link to a file.

  - ### InputInlineQueryResultDocument

    public InputInlineQueryResultDocument(String id, String title, String description, String documentUrl, String mimeType, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
    Represents a link to a file.
    Parameters:
      `id` - Unique identifier of the query result.
      `title` - Title of the resulting file.
      `description` - Short description of the result, if known.
      `documentUrl` - URL of the file.
      `mimeType` - MIME type of the file content; only "application/pdf" and "application/zip" are currently allowed.
      `thumbnailUrl` - The URL of the file thumbnail, if it exists.
      `thumbnailWidth` - Width of the thumbnail.
      `thumbnailHeight` - Height of the thumbnail.
      `replyMarkup` - The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
      `inputMessageContent` - The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageDocument, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputInlineQueryResult`
    Returns:
      this.CONSTRUCTOR